Subject: Re: need your input on menu issues

From: Dominik Vogt <[email-masked]>
Date: Thu, 9 Sep 1999 01:31:46 +0200

On Sat, Jun 05, 1999 at 11:02:41PM +0200, Dominik Vogt wrote:
> I'd like to discuss several topics regarding menus. There are some
> relics of old code for compatibility reasons I would like to remove.
> 
>  1) SeparatorsLong vs. SeparatorsShort
> 
>     Did anybody ever notice the difference between these two?
>     I'd like to remove them completely and use the long
>     separators always. I might be willing to replace them
>     with a '%_' bit in the ItemFormat if it's really
>     necessary.
> 
>  2) Hilight3DThick/Hilight3DThin/Hilight3DOff (made obsolete
>     by Hilight3DThickness)
> 
>     We could removed the first three in favour of
>     Hilight3DThickness. Would save about 50 bytes or so.
> 
>  3) PopupAsRootMenu and PopupAsSubmenu.
> 
>     I believe nobody ever liked the PopupAsRootmenu behaviour
>     and removing the option would spare us a good chunk of hard
>     to maintain position hints code.

Since people are using all of these options and do find them useful
I will leave them in.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]